Content-Disposition: inline; filename="716ca530e1c4515d8683c9d5be3d56b301758b66.patch"
Last-Modified: Sun, 13 Oct 2024 16:45:11 GMT
Expires: Wed, 11 Oct 2034 16:45:11 GMT

From 716ca530e1c4515d8683c9d5be3d56b301758b66 Mon Sep 17 00:00:00 2001
From: James <>
Date: Wed, 4 Nov 2015 11:49:21 +0000
Subject: trunk-47381

---
 package/libs/libnetfilter-conntrack/Makefile | 74 ++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)
 create mode 100644 package/libs/libnetfilter-conntrack/Makefile

(limited to 'package/libs/libnetfilter-conntrack/Makefile')

diff --git a/package/libs/libnetfilter-conntrack/Makefile b/package/libs/libnetfilter-conntrack/Makefile
new file mode 100644
index 0000000..e60b59a
--- /dev/null
+++ b/package/libs/libnetfilter-conntrack/Makefile
@@ -0,0 +1,74 @@
+#
+# Copyright (C) 2009-2013 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=libnetfilter_conntrack
+PKG_VERSION:=1.0.4
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
+PKG_SOURCE_URL:= \
+	http://www.netfilter.org/projects/libnetfilter_conntrack/files/ \
+	ftp://ftp.netfilter.org/pub/libnetfilter_conntrack/
+PKG_MD5SUM:=18cf80c4b339a3285e78822dbd4f08d7
+PKG_MAINTAINER:=Jo-Philipp Wich <jow@openwrt.org>
+
+PKG_FIXUP:=autoreconf
+PKG_LICENSE:=GPL-2.0+
+
+PKG_INSTALL:=1
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/libnetfilter-conntrack
+  SECTION:=libs
+  CATEGORY:=Libraries
+  DEPENDS:=+libnfnetlink +kmod-nf-conntrack-netlink +libmnl
+  TITLE:=API to the in-kernel connection tracking state table
+  URL:=http://www.netfilter.org/projects/libnetfilter_conntrack/
+endef
+
+define Package/libnetfilter-conntrack/description
+ libnetfilter_conntrack is a userspace library providing a programming
+ interface (API) to the in-kernel connection tracking state table. The
+ library libnetfilter_conntrack has been previously known as
+ libnfnetlink_conntrack and libctnetlink. This library is currently
+ used by conntrack-tools among many other applications.
+endef
+
+TARGET_CFLAGS += $(FPIC)
+
+CONFIGURE_ARGS += \
+	--enable-static \
+	--enable-shared \
+
+define Build/InstallDev
+	$(INSTALL_DIR) $(1)/usr/include/libnetfilter_conntrack
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/include/libnetfilter_conntrack/*.h \
+		$(1)/usr/include/libnetfilter_conntrack/
+
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/libnetfilter_conntrack.{so*,a,la} \
+		$(1)/usr/lib/
+
+	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/pkgconfig/libnetfilter_conntrack.pc \
+		$(1)/usr/lib/pkgconfig/
+endef
+
+define Package/libnetfilter-conntrack/install
+	$(INSTALL_DIR) $(1)/usr/lib
+	$(CP) \
+		$(PKG_INSTALL_DIR)/usr/lib/libnetfilter_conntrack.so.* \
+		$(1)/usr/lib/
+endef
+
+$(eval $(call BuildPackage,libnetfilter-conntrack))
-- 
cgit v1.2.3

ght' method='get' action='/cgit/openwrt/upstream/log/package/libpcap/patches/102-makefile_disable_manpages.patch'>
<input type='hidden' name='id' value='c859a20e69fbc692026e5a18c166e42d000d7d70'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/upstream/tree/?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>root</a>/<a href='/cgit/openwrt/upstream/tree/package?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>package</a>/<a href='/cgit/openwrt/upstream/tree/package/libpcap?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>libpcap</a>/<a href='/cgit/openwrt/upstream/tree/package/libpcap/patches?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>patches</a>/<a href='/cgit/openwrt/upstream/tree/package/libpcap/patches/102-makefile_disable_manpages.patch?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>102-makefile_disable_manpages.patch</a></div><div class='content'>blob: f0a4f3821afd67c5a8a2601a3b8a99c06ef008d8 (<a href='/cgit/openwrt/upstream/plain/package/libpcap/patches/102-makefile_disable_manpages.patch?id=c859a20e69fbc692026e5a18c166e42d000d7d70'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="gd">--- a/Makefile.in</span>
<span class="gi">+++ b/Makefile.in</span>
<span class="gu">@@ -461,14 +461,6 @@</span>
 	    (mkdir -p $(DESTDIR)$(includedir); chmod 755 $(DESTDIR)$(includedir))
 	[ -d $(DESTDIR)$(includedir)/pcap ] || \
 	    (mkdir -p $(DESTDIR)$(includedir)/pcap; chmod 755 $(DESTDIR)$(includedir)/pcap)
<span class="gd">-	[ -d $(DESTDIR)$(mandir)/man1 ] || \</span>
<span class="gd">-	    (mkdir -p $(DESTDIR)$(mandir)/man1; chmod 755 $(DESTDIR)$(mandir)/man1)</span>
<span class="gd">-	[ -d $(DESTDIR)$(mandir)/man3 ] || \</span>
<span class="gd">-	    (mkdir -p $(DESTDIR)$(mandir)/man3; chmod 755 $(DESTDIR)$(mandir)/man3)</span>
<span class="gd">-	[ -d $(DESTDIR)$(mandir)/man@MAN_FILE_FORMATS@ ] || \</span>
<span class="gd">-	    (mkdir -p $(DESTDIR)$(mandir)/man@MAN_FILE_FORMATS@; chmod 755 $(DESTDIR)$(mandir)/man@MAN_FILE_FORMATS@)</span>
<span class="gd">-	[ -d $(DESTDIR)$(mandir)/man@MAN_MISC_INFO@ ] || \</span>
<span class="gd">-	    (mkdir -p $(DESTDIR)$(mandir)/man@MAN_MISC_INFO@; chmod 755 $(DESTDIR)$(mandir)/man@MAN_MISC_INFO@)</span>
 	$(INSTALL_DATA) $(srcdir)/pcap/pcap.h \
 	    $(DESTDIR)$(includedir)/pcap/pcap.h
 	$(INSTALL_DATA) $(srcdir)/pcap/bpf.h \
<span class="gu">@@ -487,36 +479,6 @@</span>
 	[ -d $(DESTDIR)$(bindir) ] || \
 	    (mkdir -p $(DESTDIR)$(bindir); chmod 755 $(DESTDIR)$(bindir))
 	$(INSTALL_PROGRAM) pcap-config $(DESTDIR)$(bindir)/pcap-config
<span class="gd">-	for i in $(MAN1); do \</span>
<span class="gd">-		$(INSTALL_DATA) $(srcdir)/$$i \</span>
<span class="gd">-		    $(DESTDIR)$(mandir)/man1/$$i; done</span>
<span class="gd">-	for i in $(MAN3PCAP); do \</span>
<span class="gd">-		$(INSTALL_DATA) $(srcdir)/$$i \</span>
<span class="gd">-		    $(DESTDIR)$(mandir)/man3/$$i; done</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_datalink_val_to_name.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_datalink_val_to_description.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_dump_open.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_dump_fopen.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_geterr.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_perror.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_inject.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_sendpacket.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_loop.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_dispatch.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_major_version.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_minor_version.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_next_ex.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_next.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_open_offline.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_fopen_offline.3pcap</span>
<span class="gd">-	ln $(DESTDIR)$(mandir)/man3/pcap_setnonblock.3pcap \</span>
<span class="gd">-		 $(DESTDIR)$(mandir)/man3/pcap_getnonblock.3pcap</span>
<span class="gd">-	for i in $(MANFILE); do \</span>
<span class="gd">-		$(INSTALL_DATA) $(srcdir)/`echo $$i | sed &#39;s/.manfile.in/.manfile/&#39;` \</span>
<span class="gd">-		    $(DESTDIR)$(mandir)/man@MAN_FILE_FORMATS@/`echo $$i | sed &#39;s/.manfile.in/.@MAN_FILE_FORMATS@/&#39;`; done</span>
<span class="gd">-	for i in $(MANMISC); do \</span>
<span class="gd">-		$(INSTALL_DATA) $(srcdir)/`echo $$i | sed &#39;s/.manmisc.in/.manmisc/&#39;` \</span>
<span class="gd">-		    $(DESTDIR)$(mandir)/man@MAN_MISC_INFO@/`echo $$i | sed &#39;s/.manmisc.in/.@MAN_MISC_INFO@/&#39;`; done</span>
 
 install-shared: install-shared-$(DYEXT)
 install-shared-so: libpcap.so
<span class="gu">@@ -536,23 +498,6 @@</span>
 	rm -f $(DESTDIR)$(includedir)/pcap.h
 	rm -f $(DESTDIR)$(includedir)/pcap-bpf.h
 	rm -f $(DESTDIR)$(includedir)/pcap-namedb.h
<span class="gd">-	for i in $(MAN1); do \</span>
<span class="gd">-		rm -f $(DESTDIR)$(mandir)/man1/$$i; done</span>
<span class="gd">-	for i in $(MAN3PCAP); do \</span>
<span class="gd">-		rm -f $(DESTDIR)$(mandir)/man3/$$i; done</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_datalink_val_to_description.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_dump_fopen.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_perror.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_sendpacket.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_dispatch.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_minor_version.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_next.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_fopen_offline.3pcap</span>
<span class="gd">-	rm -f  $(DESTDIR)$(mandir)/man3/pcap_getnonblock.3pcap</span>
<span class="gd">-	for i in $(MANFILE); do \</span>
<span class="gd">-		rm -f $(DESTDIR)$(mandir)/man@MAN_FILE_FORMATS@/`echo $$i | sed &#39;s/.manfile.in/.@MAN_FILE_FORMATS@/&#39;`; done</span>
<span class="gd">-	for i in $(MANMISC); do \</span>
<span class="gd">-		rm -f $(DESTDIR)$(mandir)/man@MAN_MISC_INFO@/`echo $$i | sed &#39;s/.manmisc.in/.@MAN_MISC_INFO@/&#39;`; done</span>
 
 clean:
 	rm -f $(CLEANFILES) libpcap*.dylib libpcap.so*
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2024-10-13 16:45:11 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
